Package com.io7m.coffeepick.runtime

# Enum RuntimeConfiguration

java.lang.Object
java.lang.Enum<RuntimeConfiguration>
com.io7m.coffeepick.runtime.RuntimeConfiguration

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<RuntimeConfiguration>`, `java.lang.constant.Constable`

    public enum RuntimeConfiguration
    extends java.lang.Enum<RuntimeConfiguration>

A JVM configuration.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `JDK` | A full JDK.
  `JRE` | A simple runtime environment.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `configurationName()` |
  `static RuntimeConfiguration` | `ofName​(java.lang.String name)` |
  `static RuntimeConfiguration` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static RuntimeConfiguration[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JRE

    public static final RuntimeConfiguration JRE
    A simple runtime environment.

  - ### JDK

    public static final RuntimeConfiguration JDK
    A full JDK.

- ## Method Details

  - ### values

    public static RuntimeConfiguration[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RuntimeConfiguration valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### ofName

    public static RuntimeConfiguration ofName​(java.lang.String name)
    Parameters:
      `name` - The configuration name
    Returns:
      The value for the given name

  - ### configurationName

    public java.lang.String configurationName()
    Returns:
      The name of the configuration